"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const calculateCellHeight_1 = __importDefault(require("./calculateCellHeight"));
/**
 * Calculates the vertical row span index.
 */
exports.default = (rows, config) => {
    const tableWidth = rows[0].length;
    const rowSpanIndex = [];
    rows.forEach((cells) => {
        const cellHeightIndex = new Array(tableWidth).fill(1);
        cells.forEach((value, index1) => {
            if (typeof config.columns[index1].width !== 'number') {
                throw new TypeError('column[index].width must be a number.');
            }
            if (config.columns[index1].wrapWord !== true && config.columns[index1].wrapWord !== false) {
                throw new TypeError('column[index].wrapWord must be a boolean.');
            }
            cellHeightIndex[index1] = calculateCellHeight_1.default(value, config.columns[index1].width, config.columns[index1].wrapWord);
        });
        rowSpanIndex.push(Math.max(...cellHeightIndex));
    });
    return rowSpanIndex;
};
