"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const validators_1 = __importDefault(require("./generated/validators"));
exports.default = (schemaId, config) => {
    var _a;
    const validate = validators_1.default[schemaId];
    if (!validate(config)) {
        const errors = (_a = validate.errors) === null || _a === void 0 ? void 0 : _a.map((error) => {
            return {
                message: error.message,
                params: error.params,
                schemaPath: error.schemaPath,
            };
        });
        /* eslint-disable no-console */
        console.log('config', config);
        console.log('errors', errors);
        /* eslint-enable no-console */
        throw new Error('Invalid config.');
    }
};
